Search KV entries
curl --request GET \
--url https://api.quiva.ai/storage/kv/{bucket}/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/storage/kv/{bucket}/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/storage/kv/{bucket}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"body": {
"results": [
{
"key": "user123",
"value": {
"name": "John Doe",
"age": 30
}
}
],
"results_total": 1
},
"metadata": {
"bucket": "my-bucket",
"field": "name",
"search": "John",
"index_duration": "3ms",
"index_hits": 1
}
}{
"error": "validation_error"
}{
"error": "unauthorized"
}{
"error": "not_found"
}{
"error": "internal_error"
}KV Search
Search KV entries
Searches for entries in a KV bucket based on indexed fields
GET
/
storage
/
kv
/
{bucket}
/
search
Search KV entries
Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Name of the bucket
Query Parameters
Field to search in
Search term
Type of search to perform
Available options:
exact, fuzzy, prefix, range Minimum value for range searches
Maximum value for range searches
Maximum number of results to return
Required range:
1 <= x <= 1000⌘I